# Generated by Django 4.0.1 on 2022-02-15 15:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TicketCounter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ticket_seller_name', models.CharField(max_length=100)),
                ('date_time', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='ParkingRecord',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('driver_name', models.CharField(max_length=100)),
                ('vehicle_name', models.CharField(max_length=100)),
                ('arrival_time', models.DateTimeField(auto_now_add=True)),
                ('departure_time', models.DateTimeField(null=True)),
                ('paid', models.BooleanField(default=False)),
                ('ticket_counter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='parks.ticketcounter')),
            ],
        ),
    ]
